//
//  GameViewController.swift
//

import UIKit
import SpriteKit

class GameViewController: UIViewController {

	var gameView: GameView!
	var gameScene: GameScene!
	
	class func gameViewController() -> GameViewController {
		let gameView = GameViewController(nibName: "GameViewController", bundle: nil)
		let frame = UIScreen.mainScreen().bounds
		gameView.view.frame = CGRectMake(0, 0, frame.size.width, frame.size.height)
		return gameView
	}
	
    override func viewDidLoad() {
        
		super.viewDidLoad()
		
		//===================
		//Game View作成
		//===================
		let frame = UIScreen.mainScreen().bounds
		self.gameView = GameView(frame: CGRectMake(0,0,frame.size.width,frame.size.height))
		self.gameView.allowsTransparency = true
		self.gameView.ignoresSiblingOrder = true
		self.view.addSubview(self.gameView)
		self.view.sendSubviewToBack(self.gameView)
		//デバッグ表示
//		self.gameView.showsFPS = true
//		self.gameView.showsNodeCount = true
//		self.gameView.showsPhysics = true
		
		//===================
		// Game Scene作成
		//===================
		self.gameScene = GameScene(size: CGSizeMake(frame.size.width,frame.size.height))
		self.gameScene.scaleMode = .AspectFill
		//シーンをビューと同じサイズに調整する
		self.gameScene.size = CGSizeMake(frame.size.width, frame.size.height)
		// ゲームシーンを表示
		self.gameView.presentScene(self.gameScene)
    }

	override func viewDidAppear(animated: Bool) {
		
	}
	
	@IBOutlet weak var jumpButton: UIButton!
	@IBAction func jumpButtonAction(sender: AnyObject) {
		
		self.gameScene.jumpingAction()
	}
	
}
